Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.cpp
[Java] Interface CppSourceSet

    org.gradle.plugins.binaries.model.NativeDependencyCapableSourceSet
      org.gradle.api.tasks.SourceSet
          org.gradle.plugins.binaries.model.HeaderExportingSourceSet
              org.gradle.plugins.cpp.CppSourceSet
                  org.gradle.api.Named

All Superinterfaces:
  NativeDependencyCapableSourceSet, SourceSet, HeaderExportingSourceSet, Named

    public interface CppSourceSet
    extends HeaderExportingSourceSet, Named, NativeDependencyCapableSourceSet

A representation of a unit of cpp source

Method Summary
`void` | `dependency(Map dep)` Add a dependency to this source set
`CppSourceSet` | `exportedHeaders(Closure closure)` The headers.
`SourceDirectorySet` | `getExportedHeaders()` The headers.
`DomainObjectSet` | `getLibs()` Libs this source set requires
`SourceDirectorySet` | `getSource()` The source.
`CppSourceSet` | `source(Closure closure)` The source.

Methods inherited from interface NativeDependencyCapableSourceSet
getNativeDependencySets

Methods inherited from interface HeaderExportingSourceSet
getExportedHeaders

Methods inherited from interface Named
getName

Method Detail

### dependency

    public void dependency(Map dep)

  Add a dependency to this source set

### exportedHeaders

    public CppSourceSet exportedHeaders(Closure closure)

  The headers.

### getExportedHeaders

    public SourceDirectorySet getExportedHeaders()

  The headers.

### getLibs

    public DomainObjectSet getLibs()

  Libs this source set requires

### getSource

    public SourceDirectorySet getSource()

  The source.

### source

    public CppSourceSet source(Closure closure)

  The source.

Gradle API 1.1-rc-1